ru.bitel.bgbilling.kernel.contract.api.common.service

## Interface ContractService

-     public interface ContractService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Contract` | `contractGet(int contractId)`
    `void` | `contractGroupAdd(int contractId, int contractGroupId)`
    `void` | `contractGroupRemove(int contractId, int contractGroupId)`
    `java.util.List<Contract>` | `contractList(java.lang.String title, java.lang.String comment, int fc, long groupMask, java.util.List<FilterEntityAttr> entityFilter, boolean subContracts, boolean closed, boolean hidden, javax.xml.ws.Holder<Page> page)`
    `ru.bitel.bgbilling.kernel.contract.api.common.bean.parameter.ContractParameterGroup` | `contractParameterGroupGet(int id)`
    `java.util.List<ru.bitel.bgbilling.kernel.contract.api.common.bean.parameter.ContractParameterGroup>` | `contractParameterGroupList()`
    `MapHolder<java.lang.Integer,EntityAttr>` | `contractParameterMap(int contractId, int paramGroupId)`
    `void` | `contractPasswordReset(int contractId, java.lang.String email)` Сброс пароля с отправкой нового на email.
    `void` | `contractPasswordUpdate(int contractId, java.lang.String password, boolean generate)`
    `java.util.List<Contract>` | `contractSubList(int contractId, int subMode, boolean withSuperCid)` Получение списка субдоговоров.
    `boolean` | `hasModuleInstance(int contractId, int moduleId)` Проверка на наличие привязки указанного модуля к договору.

- - ### Method Detail

    - #### contractGet

          Contract contractGet(int contractId)
                        throws ru.bitel.bgbilling.common.BGException

      Parameters:
        `contractId` - - код договора.
      Returns:
        - договор или null, если договор отсутствует.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractGroupAdd

          void contractGroupAdd(int contractId,
                                int contractGroupId)
                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractGroupRemove

          void contractGroupRemove(int contractId,
                                   int contractGroupId)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractSubList

          java.util.List<Contract> contractSubList(int contractId,
                                                   int subMode,
                                                   boolean withSuperCid)
                                            throws ru.bitel.bgbilling.common.BGException

      Получение списка субдоговоров.
      Parameters:
        `contractId` - - код договора.
        `subMode` - - зависимый, независимый режим из KernelConst. Если subMode == -1, вернет все субдоговора.
        `withSuperCid` - - если == true, то в список добавится и супер договор.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractList

          java.util.List<Contract> contractList(java.lang.String title,
                                                java.lang.String comment,
                                                int fc,
                                                long groupMask,
                                                java.util.List<FilterEntityAttr> entityFilter,
                                                boolean subContracts,
                                                boolean closed,
                                                boolean hidden,
                                                javax.xml.ws.Holder<Page> page)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractPasswordUpdate

          void contractPasswordUpdate(int contractId,
                                      java.lang.String password,
                                      boolean generate)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### hasModuleInstance

          boolean hasModuleInstance(int contractId,
                                    int moduleId)
                             throws ru.bitel.bgbilling.common.BGException

      Проверка на наличие привязки указанного модуля к договору.
      Parameters:
        `contractId` - код договора
        `moduleId` - код модуля
      Returns:
        true если экземпляр модуля привязан к договору, false - в противном случае.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractPasswordReset

          void contractPasswordReset(int contractId,
                                     java.lang.String email)
                              throws ru.bitel.bgbilling.common.BGException

      Сброс пароля с отправкой нового на email.
      Parameters:
        `contractId` -
        `email` - если указан, то происходит проверка что он совпадает с тем, что указан в договоре - иначе просто отправляет на тот что в договоре.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractParameterMap

          MapHolder<java.lang.Integer,EntityAttr> contractParameterMap(int contractId,
                                                                       int paramGroupId)
                                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractParameterGroupGet

          ru.bitel.bgbilling.kernel.contract.api.common.bean.parameter.ContractParameterGroup contractParameterGroupGet(int id)
                                                                                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### contractParameterGroupList

          java.util.List<ru.bitel.bgbilling.kernel.contract.api.common.bean.parameter.ContractParameterGroup> contractParameterGroupList()
                                                                                                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`